//
//  TickerElementPlugIn.h
//  WrestlingTools
//
//  Created by Adam Fenn on 4/26/11.
//  Copyright 2011 Adam Fenn. All rights reserved.
//

#import <Cocoa/Cocoa.h>


#import <Quartz/Quartz.h>

@interface TickerElementPlugIn : QCPlugIn
{
@private double startTime;
@private BOOL tickerScrolling;
@private BOOL titleSlidingIn;
@private BOOL titleScrollingOut;
;
@private BOOL done;
	
#define TITLEWIDTH .2709
#define SLIDEINDURATION .75
#define SCROLLOUTDURATION .2
#define BOTTOMY -.5625
#define TITLEBACKGROUNDHEIGHT .05
#define BORDERWIDTH .006959
	
}

/*
 Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
 @property double inputFoo;
 @property(assign) NSString* outputBar;
 You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
 */

@property(assign) BOOL inputParentSaysStart;
@property(assign) NSString* inputTickerTitle;
@property(assign) double inputSpeed;
@property(assign) BOOL inputEnable;
@property(assign) BOOL inputOnlyOneEnabled;
@property(assign) BOOL inputParentDone;
@property(assign) double inputTickerWidth;
@property(assign) double inputPatchTime;

@property(assign) double outputTickerXPosition;
@property(assign) double outputBorderWidth;
@property(assign) double outputTitleBackgroundWidth;
@property(assign) double outputBorderXPosition;
@property(assign) double outputTitleXPosition;
@property(assign) double outputTitleYPosition;
@property(assign) double outputBackgroundHeight;
@property(assign) BOOL outputStartChild;
@property(assign) BOOL outputDone;
@property(assign) BOOL outputEnabled;

@property(assign) double startTime;
@property(assign) BOOL tickerScrolling;
@property(assign) BOOL titleSlidingIn;
@property(assign) BOOL titleScrollingOut;
@property(assign) BOOL done;


@end
